# sample makefile
CC=cc

all: src/Makefile.in
	mkdir -p bin/armv6l-unknown-linux-gnueabihf-default32;
	sed -e "s/@DATE@/`date`/g" src/Makefile.in >src/Makefile
	(cd src; make)
	mv src/ace bin/armv6l-unknown-linux-gnueabihf-default32/ace

clean:	
	rm -rf bin src/Makefile Makefile

# use this target only if you want to build the manual from scratch.
doc:
	(cd doc;./make_doc)

otherdoc:
	(cd standalone-doc;latex ace3001;bibtex ace3001;latex ace3001;latex ace3001)
	(cd standalone-doc;dvips ace3001 -o)
	(cd standalone-doc;rm ace3001.{toc,blg,log,aux})

Makefile: configure Makefile.in
	./configure "/build/gap/src/gap-4.10.0"

.PHONY: all clean doc otherdoc
